
from gm_apidesc.schema import schema
from gm_apidesc.types import SenceType
from gm_apidesc.types import G_IntegerType


@schema({
    # "type": SenceType.DJANGO,      # 使用场景，没有默认普通函数
    'param': {                      # 入参检测，必填
        "id": G_IntegerType,            # 可以仅仅是某个类型
        "user_id": {                # 字典，则针对这个参数做比较多的扩展
            "type": G_IntegerType,
            "null": True,           # null 默认为 False，表示可以为空
            "required": False,      # 默认必传
        }
    },
    'return': {},                   # TODO: 返回值检测，可以不填写
    'desc': "sadhfjklhasd"          # TODO：函数说明，后续用户文档生成，可以不写
})
def get(id, user_id):
    pass

get(1, "12")
